#ifndef NVD_H_
#define NVD_H_

#define NVD_PAR_OFFSET	1500


#define NVD_ADDR_FLOG_OLDEST_REC 	0
#define NVD_ADDR_ALTCORR_L       	1
#define NVD_ADDR_ALTCORR_M       	2
#define NVD_ADDR_SINKTONE_CPS    	3
#define NVD_ADDR_CLIMBTONE_CPS   	4
#define NVD_ADDR_FLIGHT_TRIG		5
#define NVD_ADDR_CKSUM           	6


extern u8 gbNvdChange;

extern s16 gnSinkToneCps;
extern s16 gnClimbToneCps;
extern s16 gnAltCorrM;
extern u8 gnFLogOldestRec;
extern u8  gnFlightTrigM;

void nvd_Init(void);
void nvd_UpdateCksum(void);
void nvd_WriteAltCorr(void);
void nvd_WriteSinkToneCps(void);
void nvd_WriteClimbToneCps(void);
void nvd_WriteFLogOldestRec(void);
void nvd_WriteFlightTrig(void);
void nvd_UpdateFlash(void);


#endif

