#ifndef RTC_H_
#define RTC_H_

#define RTC_ADDR_SEC    0
#define RTC_ADDR_MIN    1
#define RTC_ADDR_HRS    2
#define RTC_ADDR_DOW    3
#define RTC_ADDR_DOM    4
#define RTC_ADDR_MON    5
#define RTC_ADDR_YAR    6
#define RTC_AM      	0
#define RTC_PM      	1
#define RTC_HRS_24  	0
#define RTC_HRS_12  	1

extern u8  gnDom;
extern u8  gnYar;
extern u8  gnMon;

void rtc_Init(void);
void rtc_ReadData(void);
void rtc_WriteSec(void);
void rtc_WriteHrs(void);
void rtc_WriteMin(void);
void rtc_WriteDom(void);
void rtc_WriteMon(void);
void rtc_WriteYar(void);

#endif

