#ifndef TMR_H_
#define TMR_H_

extern volatile u8 gbBtnLPressed;
extern volatile u8 gbBtnRPressed;
extern volatile u8 gbBtnUPressed;
extern volatile u8 gbBtnDPressed;
extern volatile u8 gbBtnCPressed;

extern volatile u32 gBtnLState;
extern volatile u32 gBtnRState;
extern volatile u32 gBtnUState;
extern volatile u32 gBtnDState;
extern volatile u8 gBtnCState;

extern volatile u8 gnTimerHrs;
extern volatile u8 gnTimerMin;
extern volatile u8 gnTimerSec;

extern volatile u32 gnTimeTick;
extern volatile u16 gnSecTick;

extern volatile u8 gnRealHrs;
extern volatile u8 gnRealMin;
extern volatile u8 gnRealSec;

extern volatile u8 gbTmr4Flag;
extern volatile u8 gbTmr3Flag;

extern u8 gbTimerEn;

void tmr1_Config(void);
void tmr1_Start(void);
void tmr1_BusyWaitMs(int mS);
int  tmr1_ElapsedTimeMs(void);
void tmr2_Config(void);  // vario beep
void tmr3_Config(void);  // button press
void tmr4_Config(void);
void tmr4_Load(u16 mS);
void tmr4_Start(void);
void _ISRFAST _T4Interrupt (void);
void _ISRFAST _T3Interrupt (void);

#endif

