#ifndef I2C_H_
#define I2C_H_




#define I2CERR_NAK          11

#define SCL			_LATB9		// pin 18
#define SDA			_RB8		// pin 17
#define	SDA_TRIS	_TRISB8	

void i2c_Init(void);
u8   i2c_RcvByte(u8 devId, u8 addr);
int  i2c_XmtByte(u8 devId, u8 addr, u8 data);
int  i2c_RcvBuf(u8 devId, u8 addr, int nBytes, u8* pBuf);
int  i2c_XmtBuf(u8 devId, u8 addr, int nBytes, u8* pBuf );
u8   i2c_RByte(int ack);
int  i2c_XByte(u8 dat);
int  i2c_RBit(void);
int  i2c_XBit(int bit);
int  i2c_Stop(void);
int  i2c_Start(void);

#endif
