#ifndef LCD_H_
#define LCD_H_

#define OFFSET_3310


void lcd_Init(void);				
void lcd_WriteCmd(u8 cmd);			
void lcd_WriteDat(u8 dat);			
void lcd_ClockData(u8 dat);				
void lcd_ClearScreen(void);			
void lcd_SetPos(int y,int x);			
void lcd_PutChar(u8 ch);					
void lcd_PutCharX2 (u8 ch);
void lcd_PrintSz(u8 row, u8 col, char* sz);
void lcd_PrintLSz(u8 row, u8 col, char* sz);

void lcd_Printf(u8 row, u8 col, char* format, ...);

#endif
