#include "common.h"
#include "util.h"
#include "lcd.h"
#include "adc.h"
#include "tmr.h"
#ifdef UART_DBG
#include "uart.h"
#endif


#ifdef UART_DBG

void dbg_PrintAltitude(s16 alt)	{
    sprintf(gszBuf,"%d m\r\n",alt);
    uart_Print(gszBuf);
	}

void dbg_PrintClimbRate(s16 cps)	{
    sprintf(gszBuf,"%d cps\r\n",cps);
    uart_Print(gszBuf);
	}

void dbg_PrintTemperature(s16 temp)	{
    sprintf(gszBuf,"%d C\r\n",temp);
    uart_Print(gszBuf);
	}

#endif 



